List status history | Parallel Developer Documentation
Version: Current – v2.x
On this page
This endpoint can be used to obtain the status history for a specific individual or business.
HTTP Request
GET https://api.parallelmarkets.com/v2/partner-records/{id}/statuses
{id}- The individual or business ID in your case management account. If an external_id has been set, theexternal_idvalue can be used instead.
Query Parameters
Pagination request parameters (optional).
Response Parameters
| Parameter | Description |
|---|---|
data |
An array of Record Status objects, sorted in ascending order of the set_at date. |
pagination |
A Pagination object containing a next_cursor value that can be used in a subsequent API call to obtain the next page of records. |
Example Response
{
"data": [
{
"notes": "This is a test note.",
"set_at": "2023-04-20T18:40:00Z",
"set_by": {
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Bloggs"
},
"source": "user",
"status": "approved"
},
{
"notes": "Status was updated due to risk match.",
"set_at": "2023-05-20T12:00:00Z",
"set_by": {
"email": "joe@acme.com",
"first_name": "Joe",
"last_name": "Bloggs"
},
"source": "user",
"status": "declined"
}
],
"pagination": {
"next_cursor": "MTIzNDU="
}
}